summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorThorsten Leemhuis <fedora@leemhuis.info>2020-10-12 15:45:52 +0200
committerThorsten Leemhuis <fedora@leemhuis.info>2020-10-12 15:45:52 +0200
commitd70892345222ea163abe0fdc7cf500be5fd8dfb8 (patch)
tree1b8b3647470b05ddb0522387c86d844b2579011b
parented2894a146bfdc68ca0991436ed65dc5d262f83a (diff)
parentaa6d9438d030fa4682d5d450481085c901503da5 (diff)
downloadkernel-d70892345222ea163abe0fdc7cf500be5fd8dfb8.tar.gz
kernel-d70892345222ea163abe0fdc7cf500be5fd8dfb8.tar.xz
kernel-d70892345222ea163abe0fdc7cf500be5fd8dfb8.zip
Merge remote-tracking branch 'origin/master' into rawhide-user-thl-vanilla-fedorakernel-5.9.0-36.vanilla.1.fc34kernel-5.9.0-36.vanilla.1.fc33kernel-5.9.0-36.vanilla.1.fc32kernel-5.9.0-36.vanilla.1.fc31
-rw-r--r--Makefile.rhelver2
-rw-r--r--Patchlist.changelog12
-rwxr-xr-xgenerate_all_configs.sh20
-rw-r--r--kernel-aarch64-debug-rhel.config1
-rw-r--r--kernel-aarch64-rhel.config1
-rw-r--r--kernel-i686-debug-fedora.config1
-rw-r--r--kernel-i686-fedora.config1
-rw-r--r--kernel-ppc64le-debug-fedora.config1
-rw-r--r--kernel-ppc64le-debug-rhel.config1
-rw-r--r--kernel-ppc64le-fedora.config1
-rw-r--r--kernel-ppc64le-rhel.config1
-rw-r--r--kernel-s390x-debug-fedora.config1
-rw-r--r--kernel-s390x-debug-rhel.config1
-rw-r--r--kernel-s390x-fedora.config1
-rw-r--r--kernel-s390x-rhel.config1
-rw-r--r--kernel-s390x-zfcpdump-rhel.config1
-rw-r--r--kernel-x86_64-debug-fedora.config1
-rw-r--r--kernel-x86_64-debug-rhel.config1
-rw-r--r--kernel-x86_64-fedora.config1
-rw-r--r--kernel-x86_64-rhel.config1
-rw-r--r--kernel.spec35
-rw-r--r--patch-5.9.0-redhat.patch2
-rwxr-xr-xprocess_configs.sh75
-rw-r--r--sources6
24 files changed, 102 insertions, 67 deletions
diff --git a/Makefile.rhelver b/Makefile.rhelver
index 28ddeb911..83e59c409 100644
--- a/Makefile.rhelver
+++ b/Makefile.rhelver
@@ -12,7 +12,7 @@ RHEL_MINOR = 99
#
# Use this spot to avoid future merge conflicts.
# Do not trim this comment.
-RHEL_RELEASE = 32
+RHEL_RELEASE = 36
#
# Early y+1 numbering
diff --git a/Patchlist.changelog b/Patchlist.changelog
index c737ba647..b0377fca4 100644
--- a/Patchlist.changelog
+++ b/Patchlist.changelog
@@ -1,11 +1,11 @@
-https://gitlab.com/cki-project/kernel-ark/-/commit/d004487d01c8ddb49d87c553729e6043d245adb6
- d004487d01c8ddb49d87c553729e6043d245adb6 Filter out LTO build options from the perl ccopts
+https://gitlab.com/cki-project/kernel-ark/-/commit/0e4d28c89a6003100560bd30995f88e11a78dde9
+ 0e4d28c89a6003100560bd30995f88e11a78dde9 Filter out LTO build options from the perl ccopts
-https://gitlab.com/cki-project/kernel-ark/-/commit/d80b8dc4c0083e20f3c0caebfbd2bf1ab7ccf7c4
- d80b8dc4c0083e20f3c0caebfbd2bf1ab7ccf7c4 Temporarily remove cdomain from sphinx documentation
+https://gitlab.com/cki-project/kernel-ark/-/commit/f648e05a607bdceac423c8f6d14736c99543cd83
+ f648e05a607bdceac423c8f6d14736c99543cd83 Temporarily remove cdomain from sphinx documentation
-https://gitlab.com/cki-project/kernel-ark/-/commit/d6d706eab459fa9906ded320563c154dbf082a50
- d6d706eab459fa9906ded320563c154dbf082a50 Work around for gcc bug https://gcc.gnu.org/bugzilla/show_bug.cgi?id=96377
+https://gitlab.com/cki-project/kernel-ark/-/commit/187c2541d22a64db262d5415441fb8e4a6014282
+ 187c2541d22a64db262d5415441fb8e4a6014282 Work around for gcc bug https://gcc.gnu.org/bugzilla/show_bug.cgi?id=96377
https://gitlab.com/cki-project/kernel-ark/-/commit/17b0f7f1d49df30661b517d668715ff5ee1bab09
17b0f7f1d49df30661b517d668715ff5ee1bab09 Fixes "acpi: prefer booting with ACPI over DTS" to be RHEL only
diff --git a/generate_all_configs.sh b/generate_all_configs.sh
index 969ecaa96..9e3d5ecb7 100755
--- a/generate_all_configs.sh
+++ b/generate_all_configs.sh
@@ -9,7 +9,7 @@
PRIMARY=$1
DEBUGBUILDSENABLED=$2
-if [ -z $2 ]; then
+if [ -z "$2" ]; then
exit 1
fi
@@ -17,24 +17,24 @@ if [ -z "$PRIMARY" ]; then
PRIMARY=rhel
fi
-if [ "$PRIMARY" == "fedora" ]; then
+if [ "$PRIMARY" = "fedora" ]; then
SECONDARY=rhel
else
SECONDARY=fedora
fi
-for i in kernel-*-$PRIMARY.config; do
- NEW=kernel-$VERSION-`echo $i | cut -d - -f2- | sed s/-$PRIMARY//`
+for i in kernel-*-"$PRIMARY".config; do
+ NEW=kernel-"$VERSION"-$(echo "$i" | cut -d - -f2- | sed s/-"$PRIMARY"//)
#echo $NEW
- mv $i $NEW
+ mv "$i" "$NEW"
done
-rm -f kernel-*-$SECONDARY.config
+rm -f kernel-*-"$SECONDARY".config
-if [ $DEBUGBUILDSENABLED -eq 0 ]; then
+if [ "$DEBUGBUILDSENABLED" -eq 0 ]; then
for i in kernel-*debug*.config; do
- base=`echo $i | sed -r s/-?debug//g`
- NEW=kernel-`echo $base | cut -d - -f2-`
- mv $i $NEW
+ base=$(echo "$i" | sed -r s/-?debug//g)
+ NEW=kernel-$(echo "$base" | cut -d - -f2-)
+ mv "$i" "$NEW"
done
fi
diff --git a/kernel-aarch64-debug-rhel.config b/kernel-aarch64-debug-rhel.config
index 8e3ef8e07..0fb469879 100644
--- a/kernel-aarch64-debug-rhel.config
+++ b/kernel-aarch64-debug-rhel.config
@@ -1537,6 +1537,7 @@ CONFIG_FAULT_INJECTION=y
# CONFIG_FB_3DFX is not set
# CONFIG_FB_ARC is not set
# CONFIG_FB_ARK is not set
+# CONFIG_FB_ARMCLCD is not set
# CONFIG_FB_ASILIANT is not set
# CONFIG_FB_ATY128 is not set
# CONFIG_FB_ATY is not set
diff --git a/kernel-aarch64-rhel.config b/kernel-aarch64-rhel.config
index bfe28237c..8b10d935d 100644
--- a/kernel-aarch64-rhel.config
+++ b/kernel-aarch64-rhel.config
@@ -1521,6 +1521,7 @@ CONFIG_FAT_FS=m
# CONFIG_FB_3DFX is not set
# CONFIG_FB_ARC is not set
# CONFIG_FB_ARK is not set
+# CONFIG_FB_ARMCLCD is not set
# CONFIG_FB_ASILIANT is not set
# CONFIG_FB_ATY128 is not set
# CONFIG_FB_ATY is not set
diff --git a/kernel-i686-debug-fedora.config b/kernel-i686-debug-fedora.config
index fcc65c0f1..8ec5ff04e 100644
--- a/kernel-i686-debug-fedora.config
+++ b/kernel-i686-debug-fedora.config
@@ -1708,6 +1708,7 @@ CONFIG_FAULT_INJECTION=y
# CONFIG_FB_3DFX is not set
# CONFIG_FB_ARC is not set
# CONFIG_FB_ARK is not set
+# CONFIG_FB_ARMCLCD is not set
# CONFIG_FB_ASILIANT is not set
# CONFIG_FB_ATY128 is not set
# CONFIG_FB_ATY is not set
diff --git a/kernel-i686-fedora.config b/kernel-i686-fedora.config
index 3c2519df3..4cda9c040 100644
--- a/kernel-i686-fedora.config
+++ b/kernel-i686-fedora.config
@@ -1691,6 +1691,7 @@ CONFIG_FAT_FS=m
# CONFIG_FB_3DFX is not set
# CONFIG_FB_ARC is not set
# CONFIG_FB_ARK is not set
+# CONFIG_FB_ARMCLCD is not set
# CONFIG_FB_ASILIANT is not set
# CONFIG_FB_ATY128 is not set
# CONFIG_FB_ATY is not set
diff --git a/kernel-ppc64le-debug-fedora.config b/kernel-ppc64le-debug-fedora.config
index 7e3ec2dbf..09e15f6c7 100644
--- a/kernel-ppc64le-debug-fedora.config
+++ b/kernel-ppc64le-debug-fedora.config
@@ -1563,6 +1563,7 @@ CONFIG_FAULT_INJECTION_STACKTRACE_FILTER=y
CONFIG_FAULT_INJECTION=y
# CONFIG_FB_3DFX is not set
# CONFIG_FB_ARK is not set
+# CONFIG_FB_ARMCLCD is not set
# CONFIG_FB_ASILIANT is not set
# CONFIG_FB_ATY128 is not set
# CONFIG_FB_ATY is not set
diff --git a/kernel-ppc64le-debug-rhel.config b/kernel-ppc64le-debug-rhel.config
index 23e0b1436..b9706c4ed 100644
--- a/kernel-ppc64le-debug-rhel.config
+++ b/kernel-ppc64le-debug-rhel.config
@@ -1410,6 +1410,7 @@ CONFIG_FAULT_INJECTION=y
# CONFIG_FB_3DFX is not set
# CONFIG_FB_ARC is not set
# CONFIG_FB_ARK is not set
+# CONFIG_FB_ARMCLCD is not set
# CONFIG_FB_ASILIANT is not set
# CONFIG_FB_ATY128 is not set
# CONFIG_FB_ATY is not set
diff --git a/kernel-ppc64le-fedora.config b/kernel-ppc64le-fedora.config
index 05e415adf..e18f82ba6 100644
--- a/kernel-ppc64le-fedora.config
+++ b/kernel-ppc64le-fedora.config
@@ -1546,6 +1546,7 @@ CONFIG_FAT_FS=m
# CONFIG_FAULT_INJECTION is not set
# CONFIG_FB_3DFX is not set
# CONFIG_FB_ARK is not set
+# CONFIG_FB_ARMCLCD is not set
# CONFIG_FB_ASILIANT is not set
# CONFIG_FB_ATY128 is not set
# CONFIG_FB_ATY is not set
diff --git a/kernel-ppc64le-rhel.config b/kernel-ppc64le-rhel.config
index 8d8e74376..e266cd435 100644
--- a/kernel-ppc64le-rhel.config
+++ b/kernel-ppc64le-rhel.config
@@ -1394,6 +1394,7 @@ CONFIG_FAT_FS=m
# CONFIG_FB_3DFX is not set
# CONFIG_FB_ARC is not set
# CONFIG_FB_ARK is not set
+# CONFIG_FB_ARMCLCD is not set
# CONFIG_FB_ASILIANT is not set
# CONFIG_FB_ATY128 is not set
# CONFIG_FB_ATY is not set
diff --git a/kernel-s390x-debug-fedora.config b/kernel-s390x-debug-fedora.config
index 7734d43ee..6ca515b9f 100644
--- a/kernel-s390x-debug-fedora.config
+++ b/kernel-s390x-debug-fedora.config
@@ -1568,6 +1568,7 @@ CONFIG_FAULT_INJECTION_STACKTRACE_FILTER=y
CONFIG_FAULT_INJECTION=y
# CONFIG_FB_3DFX is not set
# CONFIG_FB_ARK is not set
+# CONFIG_FB_ARMCLCD is not set
# CONFIG_FB_ASILIANT is not set
# CONFIG_FB_ATY128 is not set
# CONFIG_FB_ATY is not set
diff --git a/kernel-s390x-debug-rhel.config b/kernel-s390x-debug-rhel.config
index 2efd74650..2a18adcc5 100644
--- a/kernel-s390x-debug-rhel.config
+++ b/kernel-s390x-debug-rhel.config
@@ -1413,6 +1413,7 @@ CONFIG_FAULT_INJECTION=y
# CONFIG_FB_3DFX is not set
# CONFIG_FB_ARC is not set
# CONFIG_FB_ARK is not set
+# CONFIG_FB_ARMCLCD is not set
# CONFIG_FB_ASILIANT is not set
# CONFIG_FB_ATY128 is not set
# CONFIG_FB_ATY is not set
diff --git a/kernel-s390x-fedora.config b/kernel-s390x-fedora.config
index e6531ad5b..6ee8bd49d 100644
--- a/kernel-s390x-fedora.config
+++ b/kernel-s390x-fedora.config
@@ -1551,6 +1551,7 @@ CONFIG_FAT_FS=m
# CONFIG_FAULT_INJECTION is not set
# CONFIG_FB_3DFX is not set
# CONFIG_FB_ARK is not set
+# CONFIG_FB_ARMCLCD is not set
# CONFIG_FB_ASILIANT is not set
# CONFIG_FB_ATY128 is not set
# CONFIG_FB_ATY is not set
diff --git a/kernel-s390x-rhel.config b/kernel-s390x-rhel.config
index fdc704c64..f98532502 100644
--- a/kernel-s390x-rhel.config
+++ b/kernel-s390x-rhel.config
@@ -1397,6 +1397,7 @@ CONFIG_FAT_FS=m
# CONFIG_FB_3DFX is not set
# CONFIG_FB_ARC is not set
# CONFIG_FB_ARK is not set
+# CONFIG_FB_ARMCLCD is not set
# CONFIG_FB_ASILIANT is not set
# CONFIG_FB_ATY128 is not set
# CONFIG_FB_ATY is not set
diff --git a/kernel-s390x-zfcpdump-rhel.config b/kernel-s390x-zfcpdump-rhel.config
index c2a03a753..786a288c8 100644
--- a/kernel-s390x-zfcpdump-rhel.config
+++ b/kernel-s390x-zfcpdump-rhel.config
@@ -1408,6 +1408,7 @@ CONFIG_FAT_FS=m
# CONFIG_FB_3DFX is not set
# CONFIG_FB_ARC is not set
# CONFIG_FB_ARK is not set
+# CONFIG_FB_ARMCLCD is not set
# CONFIG_FB_ASILIANT is not set
# CONFIG_FB_ATY128 is not set
# CONFIG_FB_ATY is not set
diff --git a/kernel-x86_64-debug-fedora.config b/kernel-x86_64-debug-fedora.config
index c90ad6424..e01778721 100644
--- a/kernel-x86_64-debug-fedora.config
+++ b/kernel-x86_64-debug-fedora.config
@@ -1748,6 +1748,7 @@ CONFIG_FAULT_INJECTION=y
# CONFIG_FB_3DFX is not set
# CONFIG_FB_ARC is not set
# CONFIG_FB_ARK is not set
+# CONFIG_FB_ARMCLCD is not set
# CONFIG_FB_ASILIANT is not set
# CONFIG_FB_ATY128 is not set
# CONFIG_FB_ATY is not set
diff --git a/kernel-x86_64-debug-rhel.config b/kernel-x86_64-debug-rhel.config
index 4ff48486f..df4b4123a 100644
--- a/kernel-x86_64-debug-rhel.config
+++ b/kernel-x86_64-debug-rhel.config
@@ -1516,6 +1516,7 @@ CONFIG_FAULT_INJECTION=y
# CONFIG_FB_3DFX is not set
# CONFIG_FB_ARC is not set
# CONFIG_FB_ARK is not set
+# CONFIG_FB_ARMCLCD is not set
# CONFIG_FB_ASILIANT is not set
# CONFIG_FB_ATY128 is not set
# CONFIG_FB_ATY is not set
diff --git a/kernel-x86_64-fedora.config b/kernel-x86_64-fedora.config
index f080bcbdf..ac3d16ab1 100644
--- a/kernel-x86_64-fedora.config
+++ b/kernel-x86_64-fedora.config
@@ -1731,6 +1731,7 @@ CONFIG_FAT_FS=m
# CONFIG_FB_3DFX is not set
# CONFIG_FB_ARC is not set
# CONFIG_FB_ARK is not set
+# CONFIG_FB_ARMCLCD is not set
# CONFIG_FB_ASILIANT is not set
# CONFIG_FB_ATY128 is not set
# CONFIG_FB_ATY is not set
diff --git a/kernel-x86_64-rhel.config b/kernel-x86_64-rhel.config
index f6f7b0719..f5814c5a6 100644
--- a/kernel-x86_64-rhel.config
+++ b/kernel-x86_64-rhel.config
@@ -1500,6 +1500,7 @@ CONFIG_FAT_FS=m
# CONFIG_FB_3DFX is not set
# CONFIG_FB_ARC is not set
# CONFIG_FB_ARK is not set
+# CONFIG_FB_ARMCLCD is not set
# CONFIG_FB_ASILIANT is not set
# CONFIG_FB_ATY128 is not set
# CONFIG_FB_ATY is not set
diff --git a/kernel.spec b/kernel.spec
index 0c84a3929..817ff0768 100644
--- a/kernel.spec
+++ b/kernel.spec
@@ -30,7 +30,7 @@ Summary: The Linux kernel
# For a stable, released kernel, released_kernel should be 1.
%global released_kernel 0
-%global distro_build 0.rc8.20201009git7575fdda569b.32
+%global distro_build 36
%if 0%{?fedora}
%define secure_boot_arch x86_64
@@ -71,13 +71,13 @@ Summary: The Linux kernel
%endif
%define rpmversion 5.9.0
-%define pkgrelease 0.rc8.20201009git7575fdda569b.32
+%define pkgrelease 36
# This is needed to do merge window version magic
%define patchlevel 9
# allow pkg_release to have configurable %%{?dist} tag
-%define specrelease 0.rc8.20201009git7575fdda569b.32%{?buildid}%{?dist}
+%define specrelease 36%{?buildid}%{?dist}
%define pkg_release %{specrelease}
@@ -184,10 +184,10 @@ Summary: The Linux kernel
# no whitelist
%define with_kernel_abi_whitelists 0
# Fedora builds these separately
+%endif
%define with_perf 0
%define with_tools 0
%define with_bpftool 0
-%endif
%if %{with_verbose}
%define make_opts V=1
@@ -568,7 +568,7 @@ BuildRequires: asciidoc
# exact git commit you can run
#
# xzcat -qq ${TARBALL} | git get-tar-commit-id
-Source0: linux-20201009git7575fdda569b.tar.xz
+Source0: linux-5.9.tar.xz
Source1: Makefile.rhelver
@@ -1212,8 +1212,8 @@ ApplyOptionalPatch()
fi
}
-%setup -q -n kernel-20201009git7575fdda569b -c
-mv linux-20201009git7575fdda569b linux-%{KVERREL}
+%setup -q -n kernel-5.9 -c
+mv linux-5.9 linux-%{KVERREL}
cd linux-%{KVERREL}
# cp -a %{SOURCE1} .
@@ -1924,7 +1924,6 @@ BuildKernel %make_target %kernel_image %{_use_vdso}
%global perf_make \
%{__make} -s EXTRA_CFLAGS="${RPM_OPT_FLAGS}" LDFLAGS="%{__global_ldflags}" %{?cross_opts} -C tools/perf V=1 NO_PERF_READ_VDSO32=1 NO_PERF_READ_VDSOX32=1 WERROR=0 NO_LIBUNWIND=1 HAVE_CPLUS_DEMANGLE=1 NO_GTK2=1 NO_STRLCPY=1 NO_BIONIC=1 prefix=%{_prefix} PYTHON=%{__python3}
%if %{with_perf}
-%global _lto_cflags %{nil}
# perf
# make sure check-headers.sh is executable
chmod +x tools/perf/check-headers.sh
@@ -2639,6 +2638,26 @@ fi
#
#
%changelog
+* Mon Oct 12 2020 Fedora Kernel Team <kernel-team@fedoraproject.org> [5.9.0-35]
+- Filter out LTO build options from the perl ccopts ("Justin M. Forbes")
+- Temporarily remove cdomain from sphinx documentation ("Justin M. Forbes")
+- Work around for gcc bug https://gcc.gnu.org/bugzilla/show_bug.cgi?id=96377 ("Justin M. Forbes")
+
+* Mon Oct 12 2020 Fedora Kernel Team <kernel-team@fedoraproject.org> [5.9.0-34.test]
+- v5.9 rebase
+
+* Mon Oct 12 2020 Fedora Kernel Team <kernel-team@fedoraproject.org> [5.9.0-0.rc8.20201012gitda690031a5d6.33.test]
+- da690031a5d6 rebase
+
+* Sun Oct 11 2020 Fedora Kernel Team <kernel-team@fedoraproject.org> [5.9.0-0.rc8.20201011git6f2f486d57c4.32.test]
+- 6f2f486d57c4 rebase
+
+* Sat Oct 10 2020 Fedora Kernel Team <kernel-team@fedoraproject.org> [5.9.0-0.rc8.20201010git583090b1b823.31.test]
+- 583090b1b823 rebase
+- redhat/self-test: Initial commit (Ben Crocker)
+- generate_all_configs.sh: Fix syntax flagged by shellcheck (Ben Crocker)
+- process_configs.sh: Fix syntax flagged by shellcheck (Ben Crocker)
+
* Fri Oct 09 2020 Fedora Kernel Team <kernel-team@fedoraproject.org> [5.9.0-0.rc8.20201009git7575fdda569b.31]
- Modify patchlist changelog output (Don Zickus)
- Filter out LTO build options from the perl ccopts ("Justin M. Forbes")
diff --git a/patch-5.9.0-redhat.patch b/patch-5.9.0-redhat.patch
index 896d1e67d..092be636e 100644
--- a/patch-5.9.0-redhat.patch
+++ b/patch-5.9.0-redhat.patch
@@ -218,7 +218,7 @@ index 000000000000..effb81d04bfd
+
+endmenu
diff --git a/Makefile b/Makefile
-index f84d7e4ca0be..f10deca1183b 100644
+index 51540b291738..cb84fca3accc 100644
--- a/Makefile
+++ b/Makefile
@@ -18,6 +18,10 @@ $(if $(filter __%, $(MAKECMDGOALS)), \
diff --git a/process_configs.sh b/process_configs.sh
index 92cc79701..c1e81ca16 100755
--- a/process_configs.sh
+++ b/process_configs.sh
@@ -3,6 +3,8 @@
# This script takes the merged config files and processes them through oldconfig
# and listnewconfig
#
+# Globally disable suggestion of appending '|| exit' or '|| return' to cd/pushd/popd commands
+# shellcheck disable=SC2164
usage()
{
@@ -35,11 +37,11 @@ switch_to_toplevel()
path="$(pwd)"
while test -n "$path"
do
- test -e $path/MAINTAINERS && \
- test -d $path/drivers && \
+ test -e "$path"/MAINTAINERS && \
+ test -d "$path"/drivers && \
break
- path="$(dirname $path)"
+ path=$(dirname "$path")
done
test -n "$path" || die "Can't find toplevel"
@@ -70,14 +72,14 @@ checkoptions()
print "Found "a[1]"="a[2]" after generation, had " a[1]"="configs[a[1]]" in Source tree";
}
}
- ' $1 $2 > .mismatches
+ ' "$1" "$2" > .mismatches
checkoptions_error=false
if test -s .mismatches
then
- while read LINE
+ while read -r LINE
do
- if find ./ -name $(echo $LINE | awk -F "=" ' { print $1 } ' | awk ' { print $2 }') | xargs grep ^ | grep -q "process_configs_known_broken"; then
+ if find ./ -name "$(echo "$LINE" | awk -F "=" ' { print $1 } ' | awk ' { print $2 }')" | xargs -0 grep ^ | grep -q "process_configs_known_broken"; then
# This is a known broken config.
# See script help warning.
checkoptions_error=false
@@ -104,7 +106,7 @@ parsenewconfigs()
# and puts it into CONFIG_FOO files. Using the output of
# listnewconfig is much easier to ensure we get the default
# output.
- /usr/bin/awk -v BASE=$tmpdir '
+ /usr/bin/awk -v BASE="$tmpdir" '
/is not set/ {
split ($0, a, "#");
split(a[2], b);
@@ -129,7 +131,7 @@ parsenewconfigs()
# each CONFIG_FOO file. Because of how awk works
# there's a lot of moving files around and catting to
# get what we need.
- /usr/bin/awk -v BASE=$tmpdir '
+ /usr/bin/awk -v BASE="$tmpdir" '
BEGIN { inpatch=0;
outfile="none";
symbol="none"; }
@@ -161,73 +163,71 @@ parsenewconfigs()
' .helpnewconfig
- pushd $tmpdir &> /dev/null
+ pushd "$tmpdir" &> /dev/null
rm fake_*
popd &> /dev/null
- for f in `ls $tmpdir`; do
- [[ -e "$tmpdir/$f" ]] || break
- cp $tmpdir/$f $SCRIPT_DIR/pending"$FLAVOR"/generic/
+ for f in "$tmpdir"/*; do
+ [[ -e "$f" ]] || break
+ cp "$f" "$SCRIPT_DIR/pending$FLAVOR/generic/"
done
- rm -rf $tmpdir
+ rm -rf "$tmpdir"
}
function commit_new_configs()
{
# assume we are in $source_tree/configs, need to get to top level
- pushd $(switch_to_toplevel) &>/dev/null
+ pushd "$(switch_to_toplevel)" &>/dev/null
- for cfg in $SCRIPT_DIR/${PACKAGE_NAME}${KVERREL}${SUBARCH}*.config
+ for cfg in "$SCRIPT_DIR/${PACKAGE_NAME}${KVERREL}${SUBARCH}"*.config
do
- arch=$(head -1 $cfg | cut -b 3-)
+ arch=$(head -1 "$cfg" | cut -b 3-)
cfgtmp="${cfg}.tmp"
cfgorig="${cfg}.orig"
- cat $cfg > $cfgorig
+ cat "$cfg" > "$cfgorig"
if [ "$arch" = "EMPTY" ]
then
# This arch is intentionally left blank
- rm -f "${cfg}.orig"
continue
fi
echo -n "Checking for new configs in $cfg ... "
- make ARCH=$arch KCONFIG_CONFIG=$cfgorig listnewconfig >& .listnewconfig
+ make ARCH="$arch" KCONFIG_CONFIG="$cfgorig" listnewconfig >& .listnewconfig
grep -E 'CONFIG_' .listnewconfig > .newoptions
if test -s .newoptions
then
- make ARCH=$arch KCONFIG_CONFIG=$cfgorig helpnewconfig >& .helpnewconfig
+ make ARCH="$arch" KCONFIG_CONFIG="$cfgorig" helpnewconfig >& .helpnewconfig
parsenewconfigs
fi
rm .newoptions
echo "done"
done
- git add $SCRIPT_DIR/pending"$FLAVOR"
+ git add "$SCRIPT_DIR/pending$FLAVOR"
git commit -m "[redhat] AUTOMATIC: New configs"
}
function process_configs()
{
# assume we are in $source_tree/configs, need to get to top level
- pushd $(switch_to_toplevel) &>/dev/null
+ pushd "$(switch_to_toplevel)" &>/dev/null
- for cfg in $SCRIPT_DIR/${PACKAGE_NAME}${KVERREL}${SUBARCH}*.config
+ for cfg in "$SCRIPT_DIR/${PACKAGE_NAME}${KVERREL}${SUBARCH}"*.config
do
- arch=$(head -1 $cfg | cut -b 3-)
+ arch=$(head -1 "$cfg" | cut -b 3-)
cfgtmp="${cfg}.tmp"
cfgorig="${cfg}.orig"
- cat $cfg > $cfgorig
+ cat "$cfg" > "$cfgorig"
if [ "$arch" = "EMPTY" ]
then
# This arch is intentionally left blank
- rm -f "${cfg}.orig"
continue
fi
echo -n "Processing $cfg ... "
- make ARCH=$arch KCONFIG_CONFIG=$cfgorig listnewconfig >& .listnewconfig
+ make ARCH="$arch" KCONFIG_CONFIG="$cfgorig" listnewconfig >& .listnewconfig
grep -E 'CONFIG_' .listnewconfig > .newoptions
if test -n "$NEWOPTIONS" && test -s .newoptions
then
@@ -252,21 +252,21 @@ function process_configs()
rm .listnewconfig
- make ARCH=$arch KCONFIG_CONFIG=$cfgorig olddefconfig > /dev/null || exit 1
- echo "# $arch" > ${cfgtmp}
- cat "${cfgorig}" >> ${cfgtmp}
+ make ARCH="$arch" KCONFIG_CONFIG="$cfgorig" olddefconfig > /dev/null || exit 1
+ echo "# $arch" > "$cfgtmp"
+ cat "$cfgorig" >> "$cfgtmp"
if test -n "$CHECKOPTIONS"
then
- checkoptions $cfg $cfgtmp
+ checkoptions "$cfg" "$cfgtmp"
fi
# if test run, don't overwrite original
if test -n "$TESTRUN"
then
- rm ${cfgtmp}
+ rm -f "$cfgtmp"
else
- mv ${cfgtmp} ${cfg}
+ mv "$cfgtmp" "$cfg"
fi
- rm -f ${cfgorig}
+ rm -f "$cfgorig"
echo "done"
done
rm "$SCRIPT_DIR"/*.config*.old
@@ -324,9 +324,8 @@ PACKAGE_NAME="${1:-kernel}" # defines the package name used
KVERREL="$(test -n "$2" && echo "-$2" || echo "")"
SUBARCH="$(test -n "$3" && echo "-$3" || echo "")"
FLAVOR="$(test -n "$4" && echo "-$4" || echo "-common")"
-SCRIPT="$(readlink -f $0)"
-OUTPUT_DIR="$PWD"
-SCRIPT_DIR="$(dirname $SCRIPT)"
+SCRIPT=$(readlink -f "$0")
+SCRIPT_DIR=$(dirname "$SCRIPT")
# Most RHEL options are options we want in Fedora so RHEL pending settings head
# to common/
@@ -336,7 +335,7 @@ then
fi
# to handle this script being a symlink
-cd $SCRIPT_DIR
+cd "$SCRIPT_DIR"
if test -n "$COMMITNEWCONFIGS"; then
commit_new_configs
diff --git a/sources b/sources
index 6efedbaa1..1551141e6 100644
--- a/sources
+++ b/sources
@@ -1,3 +1,3 @@
-SHA512 (linux-20201009git7575fdda569b.tar.xz) = 503ba552e3939aee5996d057f665fd8615e68bfccb5aea6051a5f929e70d2a7ff3b2e7f956e7862767673b376dcdf4fc16364bee58bcee2f494261d0fe97a4cf
-SHA512 (kernel-abi-whitelists-5.9.0-0.rc8.20201009git7575fdda569b.32.tar.bz2) = fa6f3e9e6c9d71668c5a09145d63cbd007ba901ae713d88c93708392defe404b60a7ffeb06ea2680435cdbe088a9b850b7249fb4f34e180ab657108f1b62b592
-SHA512 (kernel-kabi-dw-5.9.0-0.rc8.20201009git7575fdda569b.32.tar.bz2) = 6edccb372e454c77800e6364c7402e4276b3ee10af2b25d2960aa6d695909dc49aba9c9a0e035001515467cbc31e748da5c4a8d1c5ea9655dc5c6ff8106417dc
+SHA512 (linux-5.9.tar.xz) = cafd463ca0c9b256479b7dd774f908cedef6d265c44f99de075558ab923808ddfacda1377ae000ce02730c6611527bddffbfc4421bbc4f44fd8e59d97cbc4363
+SHA512 (kernel-abi-whitelists-5.9.0-36.tar.bz2) = 03a9111423353a35e3cbe4473e1317f5dcc9b0834b9413b49ebe878f0cc94a42d6b78688132790ae6ba081cc50d6725f1a49b313b8f899943d30d7d095c64f40
+SHA512 (kernel-kabi-dw-5.9.0-36.tar.bz2) = 3cd53709d27d6d75b4e45b44933d39fbf7eafb1933c750cbaf48dfb3424f7e4ffeadcf136800f388040549bbe8e4b5a47608381ec85247c1474f1958859594d9